Rensei docs
API ReferenceWorker Protocol

Post completion summary

Posts a completion summary to Linear. Long summaries are split into multiple Linear comments (comment chunking).

POST
/api/sessions/{id}/completion

Authorization

headerAuthorizationBearer <JWT>

Short-lived worker runtime JWT minted by the platform. Claims bind the worker, project, organization, registration, and scopes.

Path Parameters

id*string

Request Body

application/json
  1. body
workerId?string
summary*string
planItems?array<>

Response Body

Summary posted.

application/json
  1. response
posted?integer

Number of comment chunks created.

errors?array<string>
Example Request
curl -X POST 'https://app.rensei.ai/api/sessions/string/completion' \  -H 'Content-Type: application/json' \  -d '{  "summary": "string"}'
Example Response
{  "posted": 0,  "errors": [    "string"  ]}